---

- name: check dependency and start or enable service
  block:

    - name: check if configured database are available
      wait_for:
        host: "{{ application_database.host }}"
        port: "{{ application_database_port }}"
        delay: 1              # No wait before first check (sec)
        timeout: 5            # Stop checking after timeout (sec)
      ignore_errors: true
      retries: 10
      delay: 10

    - name: check configured solr are available
      wait_for:
        host: "{{ application_properties['solr.url'] | urlsplit('hostname') }}"
        port: "{{ application_properties['solr.url'] | urlsplit('port') }}"
        delay: 1              # No wait before first check (sec)
        timeout: 5            # Stop checking after timeout (sec)
      ignore_errors: true
      retries: 10
      delay: 10
      when: application_properties['solr.url'] is defined

    - name: ensure {{ caefeeder }} is started
      service:
        name: "{{ caefeeder }}"
        state: started
        enabled: true
